Cyberduck Mountain Duck CLI

#3799 closed enhancement (worksforme)

Scroll speed too slow

Reported by: alexkucherov@… Owned by: dkocher
Priority: normal Milestone: 4.4
Component: interface Version: 3.3b4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

The file list scrolling is too slow on my Mac OS X SnowLeopard, regardless of amount of files.

Change History (23)

comment:1 Changed on Oct 11, 2009 at 10:16:50 AM by dkocher

  • Milestone set to 3.3
  • Status changed from new to assigned
  • Summary changed from Scroll speed problem to Scroll speed too slow

comment:2 Changed on Oct 21, 2009 at 8:22:58 PM by anonymous

I have the same problem. Scrolling any list of files in Cyberduck feels very laggy, as if I'm scrolling a very large list. I'm running Mac OS X 10.6.1.

comment:3 Changed on Nov 2, 2009 at 9:08:11 PM by dkocher

  • Milestone changed from 3.3 to 3.4

comment:4 follow-up: Changed on Nov 17, 2009 at 3:27:56 PM by cypreess

I report this same problem

comment:5 in reply to: ↑ 4 Changed on Nov 17, 2009 at 3:28:41 PM by cypreess

Replying to cypreess:

I report this same problem

Mac OS 10.6.1

comment:6 Changed on Nov 17, 2009 at 7:51:39 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r5564.

comment:7 Changed on Mar 28, 2010 at 9:41:14 AM by apedic@…

This bug is set to fixed, but I've the latest version 3.4.1(5780) on a macbook 4.1 snow leopard 10.6.2 and the problem is still affecting me. Before upgrading to Snow Leopard I've not this problem.

comment:8 Changed on May 30, 2010 at 7:16:18 PM by ryanw@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

I have the same problem when scrolling with the keyboard. It takes almost 1/2 a second to go from item to item using the up and down arrow keys. This started happening when the first snow leopard build was released and has not been fixed yet.

I am running 3.4.2 (5902)

comment:9 Changed on Sep 8, 2010 at 1:53:55 AM by willit

v3.6.1 and still no change. I was hoping this would be fixed. Happy to donate even further to have it fixed!

comment:10 Changed on Oct 14, 2010 at 10:22:00 AM by dkocher

#4553 closed as duplicate.

comment:11 Changed on Oct 14, 2010 at 10:22:35 AM by dkocher

  • Milestone 3.3.1 deleted

comment:12 Changed on Nov 17, 2010 at 9:11:51 PM by dkocher

  • Milestone set to 4.0
  • Resolution set to fixed
  • Status changed from reopened to closed

In r7637.

comment:13 Changed on Dec 9, 2010 at 7:47:42 PM by artis

Version 3.8.1 (7954) still no changes.

Hardware Overview:

Model Name: iMac Model Identifier: iMac9,1 Processor Name: Intel Core 2 Duo Processor Speed: 3.06 GHz Number Of Processors: 1 Total Number Of Cores: 2 L2 Cache: 6 MB Memory: 4 GB Bus Speed: 1.07 GHz

Version 0, edited on Dec 9, 2010 at 7:47:42 PM by artis (next)

comment:14 Changed on Dec 13, 2010 at 8:39:32 PM by artis

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:15 Changed on Dec 13, 2010 at 8:43:06 PM by dkocher

  • Milestone 3.8 deleted

comment:16 Changed on Dec 13, 2010 at 11:00:46 PM by dkocher

The change in r7637 addresses scrolling speed when using the arrow keys. I agree that we should still do better for scrolling performance in general.

comment:17 Changed on Feb 17, 2011 at 1:45:47 PM by naufraghi

Same problem here, very slow scrolling of the file list, even with lists only a few lines longer than the window size.

Tested the same behaviour with decorations on/off, tree on/off, 32/64 bit.

Versione 3.8.2 (8330) snapshot still presents the same problem.

comment:18 Changed on May 1, 2011 at 11:55:11 AM by http://dotlassie.wordpress.com/

MacOSX 10.5.8 Intel, Version 4.0.3 (8647), 2.4GHz Core2Duo:

Steps to reproduce keyboard arrows slow scrolling bug:

  • open cyberduck
  • connect to ftp server
  • navigate to a directory with at least 10 files
  • try up/down arrows: it should be fast: normal scrolling speed with about 60-80% usage of one processor core
  • choose a random file/dir
  • press enter to enter rename mode
  • filename rename box appears, press enter again to exit renaming mode
  • try to scroll with up/down arrows NOW! Scroll speed: 3 items/sec
  • Choose Bookmark menu / Toggle Bookmarks (Apple-B) TWICE, to return to file listing:
  • scrolling is fast again

comment:19 Changed on Aug 31, 2011 at 8:12:47 PM by claymill

Same problem. r8999, 2.8GHz Core i5, Snow Leopard (also same on 2.4Ghz Core 2 Duo, Lion).

The scrolling doesn't break the app, but it feels like scrolling a busy web page on a G3 in OS 10.1. Very stuttery, and the bigger the window, the worse the performance.

comment:20 Changed on Jan 23, 2012 at 10:56:20 AM by brmml;

r9350 on Snow Leopard. the longer the filelist, the slower it gets. At 100+ dirs it becomes almost unresponsive.

comment:21 Changed on Oct 17, 2012 at 9:22:51 PM by dkocher

  • Type changed from defect to enhancement

comment:22 Changed on Jan 17, 2013 at 1:39:27 PM by Piti118

In case anyone is searching for this, a workaround would be to use Outline view instead of the Default List View. Something is definitely wrong with BrowserListViewModel.

Outline view is much faster than List View.

comment:23 Changed on Sep 11, 2013 at 1:45:54 PM by dkocher

  • Milestone set to 4.4
  • Resolution set to worksforme
  • Status changed from reopened to closed

Please update to the latest snapshot build available.

Note: See TracTickets for help on using tickets.
swiss made software